net.minecraft.client.gui

## Class GuiEnchantment

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer
      - - net.minecraft.client.gui.GuiEnchantment

-     public class GuiEnchantment
      extends GuiContainer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `field_147069_w`
    `float` | `field_147071_v`
    `int` | `field_147073_u`
    `float` | `field_147076_A`
    `float` | `field_147080_z`
    `float` | `field_147081_y`
    `float` | `field_147082_x`

    - ### Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `field_147001_a, field_147007_t, field_147008_s, guiLeft, guiTop, inventorySlots, xSize, ySize`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiEnchantment(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5, java.lang.String par6Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `drawGuiContainerBackgroundLayer(float p_146976_1_, int p_146976_2_, int p_146976_3_)`
    `protected void` | `drawGuiContainerForegroundLayer(int p_146979_1_, int p_146979_2_)`
    `void` | `func_147068_g()`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `void` | `updateScreen()`

    - ### Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `checkHotbarKeys, doesGuiPauseGame, drawScreen, func_146978_c, handleMouseClick, initGui, keyTyped, mouseClickMove, mouseMovedOrUp, onGuiClosed`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `actionPerformed, confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147073_u

          public int field_147073_u

    - #### field_147071_v

          public float field_147071_v

    - #### field_147069_w

          public float field_147069_w

    - #### field_147082_x

          public float field_147082_x

    - #### field_147081_y

          public float field_147081_y

    - #### field_147080_z

          public float field_147080_z

    - #### field_147076_A

          public float field_147076_A

  - ### Constructor Detail

    - #### GuiEnchantment

          public GuiEnchantment(InventoryPlayer par1InventoryPlayer,
                        World par2World,
                        int par3,
                        int par4,
                        int par5,
                        java.lang.String par6Str)

  - ### Method Detail

    - #### drawGuiContainerForegroundLayer

          protected void drawGuiContainerForegroundLayer(int p_146979_1_,
                                             int p_146979_2_)

      Overrides:
        `drawGuiContainerForegroundLayer` in class `GuiContainer`

    - #### updateScreen

          public void updateScreen()

      Overrides:
        `updateScreen` in class `GuiContainer`

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

      Overrides:
        `mouseClicked` in class `GuiContainer`

    - #### drawGuiContainerBackgroundLayer

          protected void drawGuiContainerBackgroundLayer(float p_146976_1_,
                                             int p_146976_2_,
                                             int p_146976_3_)

      Specified by:
        `drawGuiContainerBackgroundLayer` in class `GuiContainer`

    - #### func_147068_g

          public void func_147068_g()